// SPDX-License-Identifier: LicenseRef-AGPL-3.0-only-OpenSSL

package co.vulcanlabs.psremote.data

import co.vulcanlabs.psremote.common.MacAddress
import co.vulcanlabs.psremote.common.ManualHost
import co.vulcanlabs.psremote.common.RegisteredHost
import io.reactivex.rxjava3.core.Flowable

interface DeviceRepository {
    suspend fun insertRegisterHost(registeredHost: RegisteredHost): Result<Unit> // TODO: Refactor later, map model

    suspend fun getRegisterHostByMac(mac: MacAddress): Result<RegisteredHost>

    suspend fun insertManualHost(manualHost: ManualHost): Result<Unit>

    fun getAllRegisteredHost(): Flowable<List<RegisteredHost>>

    fun getAllManualHost(): Flowable<List<ManualHost>>

    suspend fun deleteManualHost(manualHost: ManualHost): Result<Unit>

    suspend fun clearAllDevices(): Result<Unit>

    fun getRegisteredHostByMacSync(macAddress: MacAddress): Result<RegisteredHost>
}