// SPDX-License-Identifier: LicenseRef-AGPL-3.0-only-OpenSSL

package co.vulcanlabs.psremote.data.network.service

import co.vulcanlabs.psremote.data.network.model.PsnIdResponse
import co.vulcanlabs.psremote.data.network.model.PsnLoginTokenResponse
import retrofit2.http.*

interface PsnLoginService {
    @FormUrlEncoded
    @POST("2.0/oauth/token")
    suspend fun requestToken(
        @Field("grant_type") grantType: String = "authorization_code",
        @Field("code") code: String,
        @Field("redirect_uri") redirectUri: String = "https://remoteplay.dl.playstation.net/remoteplay/redirect&"
    ): PsnLoginTokenResponse

    @GET("2.0/oauth/token/{token}")
    suspend fun requestAccountInfo(@Path("token") token: String): PsnIdResponse
}