// SPDX-License-Identifier: LicenseRef-AGPL-3.0-only-OpenSSL

package co.vulcanlabs.psremote.ui.alertdialog

import android.os.Bundle
import android.view.ViewGroup
import androidx.core.content.ContextCompat
import co.vulcanlabs.psremote.R
import co.vulcanlabs.psremote.databinding.FragmentLoadingBinding
import co.vulcanlabs.psremote.ui.base.BaseDialogFragment

class LoadingFragment : BaseDialogFragment<FragmentLoadingBinding>(FragmentLoadingBinding::class.java) {

    companion object {
        const val TAG = "LoadingFragment"

        fun newInstance() = LoadingFragment()
    }

    override fun setupView(savedInstanceState: Bundle?) {
        isCancelable = false
    }

    override fun onStart() {
        super.onStart()
        dialog?.window?.setLayout(
            ViewGroup.LayoutParams.WRAP_CONTENT,
            ViewGroup.LayoutParams.WRAP_CONTENT
        )
        dialog?.window?.setBackgroundDrawable(
            ContextCompat.getDrawable(
                requireContext(),
                R.drawable.bg_alert_dialog
            )
        )
    }
}