// SPDX-License-Identifier: LicenseRef-AGPL-3.0-only-OpenSSL

package co.vulcanlabs.psremote.ui.alertdialog

import android.os.Bundle
import co.vulcanlabs.psremote.databinding.FragmentLogoutAlertBinding
import co.vulcanlabs.psremote.ui.base.BaseDialogFragment
import dagger.hilt.android.AndroidEntryPoint

@AndroidEntryPoint
class LogoutAlertDialogFragment : BaseDialogFragment<FragmentLogoutAlertBinding>(FragmentLogoutAlertBinding::class.java) {

    companion object {
        const val TAG = "LogoutAlertDialogFragment"

        fun newInstance() = LogoutAlertDialogFragment()
    }

    override fun setupView(savedInstanceState: Bundle?) {

        viewbinding?.run {
            btnYes.setOnClickListener {
                (activity as? OnLogoutConfirmListener)?.onLogoutConfirm()
                dismissAllowingStateLoss()
            }

            txtNo.setOnClickListener {
                dismissAllowingStateLoss()
            }
        }

    }

    interface OnLogoutConfirmListener {
        fun onLogoutConfirm()
    }
}