// SPDX-License-Identifier: LicenseRef-AGPL-3.0-only-OpenSSL

package co.vulcanlabs.psremote.ui.alertdialog

import android.os.Bundle
import co.vulcanlabs.psremote.databinding.FragmentSignInAlertBinding
import co.vulcanlabs.psremote.ui.base.BaseDialogFragment
import co.vulcanlabs.psremote.ui.psnlogin.PsnLoginActivity
import co.vulcanlabs.psremote.utils.startActivityView
import dagger.hilt.android.AndroidEntryPoint

@AndroidEntryPoint
class SignInAlertDialogFragment :
    BaseDialogFragment<FragmentSignInAlertBinding>(FragmentSignInAlertBinding::class.java),
    DialogInPlayScreen {

    companion object {
        const val TAG = "SignInAlertDialogFragment"

        fun newInstance() =
            SignInAlertDialogFragment()
    }

    override fun setupView(savedInstanceState: Bundle?) {

        viewbinding?.run {
            btnContinue.setOnClickListener {
                activity?.startActivityView<PsnLoginActivity> {
                }
                dismissAllowingStateLoss()
            }

            btnCancel.setOnClickListener {
                dismissAllowingStateLoss()
            }
        }

    }

    override fun onOrientationChange() {
        activity?.supportFragmentManager?.run {
            beginTransaction()
                .remove(this@SignInAlertDialogFragment)
                .commitNowAllowingStateLoss()
            newInstance().showNow(this, TAG)
        }

    }

}