// SPDX-License-Identifier: LicenseRef-AGPL-3.0-only-OpenSSL

package co.vulcanlabs.psremote.ui.home

import android.app.Application
import co.vulcanlabs.psremote.chiaki.ConnectVideoProfile
import co.vulcanlabs.psremote.data.UserRepository
import co.vulcanlabs.psremote.data.local.Preferences
import co.vulcanlabs.psremote.ui.base.BaseViewModel
import dagger.hilt.android.lifecycle.HiltViewModel
import javax.inject.Inject

@HiltViewModel
class HomeViewModel @Inject constructor(
    app: Application,
    private val preferences: Preferences,
    private val userRepository: UserRepository
) : BaseViewModel(app) {

    var isInExhibitionMode = false

    fun getVideoProfile(): ConnectVideoProfile = preferences.videoProfile

    fun didLogin() = !isInExhibitionMode

    fun getCurrentUserPsnId() = userRepository.getCurrentUser()?.userId.orEmpty()
}