// SPDX-License-Identifier: LicenseRef-AGPL-3.0-only-OpenSSL

package co.vulcanlabs.psremote.ui.registerdevice

import android.os.Bundle
import co.vulcanlabs.psremote.R
import co.vulcanlabs.psremote.databinding.ActivityRegisterBinding
import co.vulcanlabs.psremote.ui.base.BaseActivity
import dagger.hilt.android.AndroidEntryPoint

@AndroidEntryPoint
class RegisterActivity :
    BaseActivity<ActivityRegisterBinding>(ActivityRegisterBinding::class.java) {

    companion object {
        const val EXTRA_HOST = "regist_host"
        const val EXTRA_ASSIGN_MANUAL_HOST_ID = "assign_manual_host_id"
        const val EXTRA_SOUCE = "source"
    }

    override fun setupView(savedInstanceState: Bundle?) {
        if (supportFragmentManager.findFragmentById(R.id.container) !is RegisterFragment) {
            supportFragmentManager.beginTransaction()
                .replace(R.id.container, RegisterFragment.newInstance(intent.extras ?: Bundle()))
                .commit()
        }
    }
}