// SPDX-License-Identifier: LicenseRef-AGPL-3.0-only-OpenSSL

package co.vulcanlabs.psremote.ui.registerdevice.selectfirmware

import android.graphics.Typeface
import android.view.View
import android.widget.TextView
import co.vulcanlabs.psremote.R
import co.vulcanlabs.psremote.ui.base.BaseRecycleAdapter
import co.vulcanlabs.psremote.ui.base.BaseRecycleViewHolder

class SystemSoftwareAdapter :
    BaseRecycleAdapter<FirmwareUiModel, SystemSoftwareAdapter.ViewHolder>(mutableListOf()) {

    override fun getLayoutResourceId(): Int = R.layout.item_firmware

    override fun onCreateViewHolder(view: View): ViewHolder = ViewHolder(view)

    override fun onBindView(holder: ViewHolder, position: Int, item: FirmwareUiModel) {
        holder.itemView.isSelected = item.isSelected
        holder.txtFirmware.run {
            text = item.consoleVersion.string
            textSize = if (item.isSelected) 24f else 18f
            typeface = if (item.isSelected) Typeface.DEFAULT_BOLD else Typeface.DEFAULT
        }
    }


    class ViewHolder(view: View) : BaseRecycleViewHolder(view) {
        val txtFirmware = itemView as TextView
    }
}