// SPDX-License-Identifier: LicenseRef-AGPL-3.0-only-OpenSSL

package co.vulcanlabs.psremote.ui.splash

import android.content.Intent
import android.os.Bundle
import androidx.activity.viewModels
import co.vulcanlabs.psremote.databinding.ActivitySplashBinding
import co.vulcanlabs.psremote.ui.base.BaseActivity
import co.vulcanlabs.psremote.ui.discovery.DiscoveryActivity
import co.vulcanlabs.psremote.ui.home.HomeActivity
import dagger.hilt.android.AndroidEntryPoint

@AndroidEntryPoint
class SplashActivity :
    BaseActivity<ActivitySplashBinding>(ActivitySplashBinding::class.java) {

    private val viewModel: SplashViewModel by viewModels()

    private fun getDestinationIntent(): Intent {
        return (if (viewModel.hasUser()) {
            Intent(this, DiscoveryActivity::class.java)
        } else {
            Intent(this, HomeActivity::class.java).apply {
                putExtra(HomeActivity.EXTRA_IS_IN_EXHIBITION_MODE, true)
            }
        })
    }


    override fun setupView(savedInstanceState: Bundle?) {
        startActivity(getDestinationIntent())
        finish()
    }

}