// SPDX-License-Identifier: LicenseRef-AGPL-3.0-only-OpenSSL

package co.vulcanlabs.psremote.ui.splash

import android.app.Application
import co.vulcanlabs.psremote.data.UserRepository
import co.vulcanlabs.psremote.ui.base.BaseViewModel
import dagger.hilt.android.lifecycle.HiltViewModel
import javax.inject.Inject

@HiltViewModel
class SplashViewModel @Inject constructor(
    app: Application,
    private val userRepository: UserRepository
) : BaseViewModel(app) {
    fun hasUser() = userRepository.getCurrentUser() != null
}