// SPDX-License-Identifier: LicenseRef-AGPL-3.0-only-OpenSSL

package co.vulcanlabs.psremote.ui.touchcontrols

import android.content.Context
import android.util.AttributeSet
import android.view.LayoutInflater
import android.widget.FrameLayout
import co.vulcanlabs.psremote.databinding.LayoutL1l2ButtonViewBinding

class L1L2ButtonView @JvmOverloads constructor(
    context: Context, attrs: AttributeSet? = null, defStyleAttr: Int = 0
) : FrameLayout(context, attrs, defStyleAttr) {

    private val binding: LayoutL1l2ButtonViewBinding

    var buttonPressedCallback: ((Boolean, ChildType) -> Unit)? = null

    init {
        val inflater = LayoutInflater.from(context)
        binding = LayoutL1l2ButtonViewBinding.inflate(inflater, this, true)
    }

    override fun onFinishInflate() {
        super.onFinishInflate()
        binding.l2ButtonView.buttonPressedCallback = {
            buttonPressedCallback?.invoke(it, ChildType.L2)
        }
        binding.l1ButtonView.buttonPressedCallback = {
            buttonPressedCallback?.invoke(it, ChildType.L1)
        }
    }

    enum class ChildType {
        L1, L2
    }
}