// SPDX-License-Identifier: LicenseRef-AGPL-3.0-only-OpenSSL

package co.vulcanlabs.psremote.ui.touchcontrols

import android.content.Context
import android.util.AttributeSet
import android.view.LayoutInflater
import android.widget.FrameLayout
import co.vulcanlabs.psremote.databinding.LayoutR1r2ButtonViewBinding

class R1R2ButtonView @JvmOverloads constructor(
    context: Context, attrs: AttributeSet? = null, defStyleAttr: Int = 0
) : FrameLayout(context, attrs, defStyleAttr) {

    private val binding: LayoutR1r2ButtonViewBinding

    var buttonPressedCallback: ((Boolean, ChildType) -> Unit)? = null

    init {
        val inflater = LayoutInflater.from(context)
        binding = LayoutR1r2ButtonViewBinding.inflate(inflater, this, true)
    }

    override fun onFinishInflate() {
        super.onFinishInflate()
        binding.r2ButtonView.buttonPressedCallback = {
            buttonPressedCallback?.invoke(it, ChildType.R2)
        }
        binding.r1ButtonView.buttonPressedCallback = {
            buttonPressedCallback?.invoke(it, ChildType.R1)
        }
    }

    enum class ChildType {
        R1, R2
    }
}